Bug Hunting Session
Bug 107797 - Autofilter dropdown behaves strangely when it's created by a macro in a specific XLSM
Summary: Autofilter dropdown behaves strangely when it's created by a macro in a speci...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Tamas Bunth
URL:
Whiteboard: target:5.5.0 target:6.0.0
Keywords:
Depends on: 107238
Blocks: Macro-VBA XLSX-Autofilter
  Show dependency treegraph
 
Reported: 2017-05-12 13:42 UTC by Aron Budea
Modified: 2019-03-02 18:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-05-12 13:42:24 UTC
This is a follow-up report on bug 107238.
After Szymon's fix, now it's possible to run the macro (thanks!), which creates autofilter and filters entries.

However, I noticed the autofilter selector behaves unusually after the macro.

- Open attachment 132647 [details] in Calc.
- Run macro AF. (this should create an autofilter on columns A and B, and hide the entry with value "D" in column A)

=> While the rows are filtered properly, the autofilter selector on column A only shows value "A" selected (should be "A", "B" and "C"), and the icon in the cell doesn't change to show filters are active. Filtering different entries manually also behaves strangely.

Note that the fix to the other bug was pushed earlier today.

Version: 5.4.0.0.alpha1+
Build ID: abd619b108e697a5dd045000573d9d1bc675cc98
CPU threads: 16; OS: Linux 4.4; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Buovjaga 2017-05-13 19:00:16 UTC
Repro with file.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: c0968aa4673a8ac9a8a09a0e291b58b94bdbb35e
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 13th 2016
Comment 2 Commit Notification 2017-05-30 22:17:12 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9956849c2ea6049582e2ccf04c355542c1ef00a1

tdf#107797 select all entries in the dropdown

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-07-14 13:15:17 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 4 Szymon Kłos 2017-07-14 15:34:21 UTC
Only partially fixed, correct entries are checked but manual filtering still behaves strangely.
Comment 5 Commit Notification 2017-08-10 20:28:14 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b946ab02b246e85c34f8fa77d99e19dacda07fe5

tdf#107797 UpdateAutoFilter handle more entries

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Aron Budea 2017-08-15 23:59:20 UTC
Verified that autofilter corresponds to selected entries after macro execution in the following daily build:
2017-08-15_01:59:49 (bebaac5eb6ebd2db3e1ea22b1630111343a9c25c) / Windows 7.

Szymon, Tamas, thanks for the fix!